JexlEngine.Options (Apache Commons JEXL 3.7.0 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlEngine, interface: Options

Package org.apache.commons.jexl3

# Interface JexlEngine.Options

Enclosing class:
  `JexlEngine`

@Deprecated public static interface JexlEngine.Options
Deprecated.
3.2
Script evaluation options.

The JexlContext used for evaluation can implement this interface to alter behavior.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MathContext`
  `getArithmeticMathContext()`
  Deprecated.
  The MathContext instance used for +,-,/,*,% operations on big decimals.
  `int`
  `getArithmeticMathScale()`
  Deprecated.
  The BigDecimal scale used for comparison and coercion operations.
  `Charset`
  `getCharset()`
  Deprecated.
  The charset used for parsing.
  `Boolean`
  `isCancellable()`
  Deprecated.
  Tests whether evaluation will throw JexlException.Cancel (true) or return null (false) when interrupted.
  `Boolean`
  `isSilent()`
  Deprecated.
  Tests whether the engine will throw a `JexlException` when an error is encountered during evaluation.
  `Boolean`
  `isStrict()`
  Deprecated.
  Tests whether the engine considers unknown variables, methods, functions and constructors as errors or evaluates them as null.
  `Boolean`
  `isStrictArithmetic()`
  Deprecated.
  Tests whether the arithmetic triggers errors during evaluation when null is used as an operand.

- ## Method Details

  - ### getArithmeticMathContext

    MathContext getArithmeticMathContext()
    Deprecated.
    The MathContext instance used for +,-,/,*,% operations on big decimals.
    Returns:
      the math context

  - ### getArithmeticMathScale

    int getArithmeticMathScale()
    Deprecated.
    The BigDecimal scale used for comparison and coercion operations.
    Returns:
      the scale

  - ### getCharset

    Charset getCharset()
    Deprecated.
    The charset used for parsing.
    Returns:
      the charset

  - ### isCancellable

    Boolean isCancellable()
    Deprecated.
    Tests whether evaluation will throw JexlException.Cancel (true) or return null (false) when interrupted.
    Returns:
      true when cancellable, false otherwise
    Since:
      3.1

  - ### isSilent

    Boolean isSilent()
    Deprecated.
    Tests whether the engine will throw a `JexlException` when an error is encountered during evaluation.
    Returns:
      true if silent, false otherwise

  - ### isStrict

    Boolean isStrict()
    Deprecated.
    Tests whether the engine considers unknown variables, methods, functions and constructors as errors or evaluates them as null.
    Returns:
      true if strict, false otherwise

  - ### isStrictArithmetic

    Boolean isStrictArithmetic()
    Deprecated.
    Tests whether the arithmetic triggers errors during evaluation when null is used as an operand.
    Returns:
      true if strict, false otherwise